Page MenuHomePhabricator

Update mediawiki/vendor.git's composer.json to exclude composer/* from lint checks
Closed, ResolvedPublic

Description

Needed to support Composer 1.1.x generated autoloaders. See T135161: Composer v1.1.0 generated vendor dirs will fail lint by PHP <5.6 for more details.

A patch for this should not be committed until T136009: Add blacklist support to scap.tasks.check_valid_syntax linter has a deployed solution.

Event Timeline

We also need to blacklist it in integration/jenkins php tests which are run for non whitelisted users.

We can't exclude all of composer/* because we need composer/semver to be linted.

Reedy added a subscriber: Reedy.Nov 6 2016, 9:30 PM

I just filed https://github.com/JakubOnderka/PHP-Parallel-Lint/issues/83 requesting an exclude-file/making exclude support filenames...

Reedy added a comment.Nov 9 2016, 5:17 PM
reedy@ubuntu64-web-esxi:/var/www/wiki/mediawiki/vendor$ php ~/PHP-Parallel-Lint/parallel-lint.php composer
PHP 7.0.8 | 10 parallel jobs
................                                             16/16 (100 %)


Checked 16 files in 0.4 seconds
No syntax error found
reedy@ubuntu64-web-esxi:/var/www/wiki/mediawiki/vendor$ php ~/PHP-Parallel-Lint/parallel-lint.php --exclude composer/autoload_static.php composer
PHP 7.0.8 | 10 parallel jobs
...............                                              15/15 (100 %)


Checked 15 files in 0.3 seconds
No syntax error found

Change 340238 had a related patch set uploaded (by Hashar):
[mediawiki/vendor] build: jakub-onderka/php-parallel-lint

https://gerrit.wikimedia.org/r/340238

Change 340238 merged by jenkins-bot:
[mediawiki/vendor] build: jakub-onderka/php-parallel-lint

https://gerrit.wikimedia.org/r/340238

So that is solved for the master branch via https://gerrit.wikimedia.org/r/340238

The wmf branches will be solved as they are cut over the next couple weeks.

Release branches are not affected

hashar closed this task as Resolved.Mar 27 2017, 8:52 AM

wmf/1.29.0-wmf.17 has the commit now.

Change 384002 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] mediawiki/vendor switch to composer test

https://gerrit.wikimedia.org/r/384002

Change 384002 merged by jenkins-bot:
[integration/config@master] mediawiki/vendor switch to composer test

https://gerrit.wikimedia.org/r/384002